package com.cool.store.service.visit;

import com.cool.store.request.visit.*;
import com.cool.store.vo.visit.StoreVisitReservationVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface StoreVisitReservationService {

    Long create(StoreVisitReservationCreateRequest request);

    StoreVisitReservationVO detail(Long id);

    List<StoreVisitReservationVO> myReservations(String mobile,Integer status);

    PageInfo<StoreVisitReservationVO> adminPage(StoreVisitReservationAdminQueryRequest request);

    Boolean arrived(StoreVisitReservationIdRequest request);

    Boolean assignServiceUser(StoreVisitReservationAssignServiceRequest request);

    Boolean cancel(StoreVisitReservationCancelRequest request);
}
